package data

var containerNames = []string{
	"cyberscribe",
	"datamatrix",
	"nexasync",
	"quantumquill",
	"aerosphere",
	"virtuos",
	"fusionflow",
	"neuralink",
	"pixelpulse",
	"synthwave",
	"codecraft",
	"zapzone",
	"robologic",
	"dreamstream",
	"infinisync",
	"megamesh",
	"novalink",
	"xenogenius",
	"ecosim",
	"innovault",
	"techtracer",
	"fusionforge",
	"quantumquest",
	"neuronest",
	"codefusion",
	"datadyno",
	"pixelpioneer",
	"vortexvision",
	"cybercraft",
	"synthsphere",
	"infinitescript",
	"roborhythm",
	"dreamengine",
	"aquasync",
	"geniusgrid",
	"megamind",
	"novasync-pro",
	"xenonwave",
	"ecologic",
	"innoscan",
}

var organizationNames = []string{
	"techwave",
	"codecrafters",
	"innotechlabs",
	"fusionsoft",
	"cyberpulse",
	"quantumscribe",
	"datadynamo",
	"neuralink",
	"pixelpro",
	"synthwizards",
	"virtucorplabs",
	"robologic",
	"dreamstream",
	"novanest",
	"megamind",
	"xenonwave",
	"ecologic",
	"innosync",
	"techgenius",
	"nexasoft",
	"codewave",
	"zapzone",
	"techsphere",
	"aquatech",
	"quantumcraft",
	"neuronest",
	"datafusion",
	"pixelpioneer",
	"synthsphere",
	"infinitescribe",
	"roborhythm",
	"dreamengine",
	"vortexvision",
	"geniusgrid",
	"megamesh",
	"novasync",
	"xenogeniuslabs",
	"ecosim",
	"innovault",
}

var errorMessages = []string{
	"Error 404: Resource not found",
	"Critical Error: System meltdown imminent",
	"Error 500: Internal server error",
	"Invalid input: Please check your data",
	"Access denied: Unauthorized access detected",
	"Network connection lost: Please check your connection",
	"Error 403: Forbidden access",
	"Fatal error: System crash imminent",
	"File not found: Check the file path",
	"Invalid credentials: Authentication failed",
	"Error 502: Bad Gateway",
	"Database connection failed: Please try again later",
	"Security breach detected: Take immediate action",
	"Error 400: Bad request",
	"Out of memory: Close unnecessary applications",
	"Invalid configuration: Check your settings",
	"Error 503: Service unavailable",
	"File is read-only: Cannot modify",
	"Data corruption detected: Backup your data",
	"Error 401: Unauthorized",
	"Disk space full: Free up disk space",
	"Connection timeout: Retry your request",
	"Error 504: Gateway timeout",
	"File access denied: Permission denied",
	"Unexpected error: Please contact support",
	"Error 429: Too many requests",
	"Invalid URL: Check the URL format",
	"Database query failed: Try again later",
	"Error 408: Request timeout",
	"File is in use: Close the file and try again",
	"Invalid parameter: Check your input",
	"Error 502: Proxy error",
	"Database connection lost: Reconnect and try again",
	"File size exceeds limit: Reduce the file size",
	"Error 503: Overloaded server",
	"Operation aborted: Try again",
	"Invalid API key: Check your API key",
	"Error 507: Insufficient storage",
	"Database deadlock: Retry your transaction",
	"Error 405: Method not allowed",
	"File format not supported: Choose a different format",
	"Unknown error: Contact system administrator",
}

var skippedMessages = []string{
	"Fear of introducing new bugs",
	"Don't have time for the update process",
	"Current version works fine for my needs",
	"Concerns about compatibility with other software",
	"Limited bandwidth for downloading updates",
	"Worries about losing custom settings or configurations",
	"Lack of trust in the software developer's updates",
	"Dislike changes to the user interface",
	"Avoiding potential subscription fees",
	"Suspicion of hidden data collection in updates",
	"Apprehension about changes in privacy policies",
	"Prefer the older version's features or design",
	"Worry about software becoming more resource-intensive",
	"Avoiding potential changes in licensing terms",
	"Waiting for initial bugs to be resolved in the update",
	"Concerns about update breaking third-party plugins or extensions",
	"Belief that the software is already secure enough",
	"Don't want to relearn how to use the software",
	"Fear of losing access to older file formats",
	"Avoiding the hassle of having to update multiple devices",
}

var logMessages = []string{
	"Checking for available updates...",
	"Downloading update package...",
	"Verifying update integrity...",
	"Preparing to install update...",
	"Backing up existing configuration...",
	"Installing update...",
	"Update installation complete.",
	"Applying configuration settings...",
	"Cleaning up temporary files...",
	"Update successful! Software is now up-to-date.",
	"Restarting the application...",
	"Restart complete. Enjoy the latest features!",
	"Update rollback complete. Your software remains at the previous version.",
}

var logErrors = []string{
	"Unable to check for updates. Please check your internet connection.",
	"Update package download failed. Try again later.",
	"Update verification failed. Please contact support.",
	"Update installation failed. Rolling back to the previous version...",
	"Your configuration settings may have been reset to defaults.",
}
